pub use ccutils::Result;

mod cli;
mod config;
mod syncer;

pub fn cumain() -> Result<()> {
    let cli = cli::parse();

    // 设置日志级别
    match (cli.debug, cli.quiet) {
        (true, _) => std::env::set_var("RUST_LOG", "debug"),
        (false, true) => std::env::set_var("RUST_LOG", "error"),
        _ => {},
    }
    ccutils::set_up_logging()?;

    Ok(())
}